Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

SOLVED

Update Maven Archetype to version 26

saukaush
Level 2
Level 2

We are upgrading from AEM 6.3 to 6.5.5. 

I am not able to check the Maven Archetype of our project but it is very old as no one has updated it for a long time.

Please help me understand how can i upgrade the archetype to version 26.

1 Accepted Solution
kchaurasiya
Correct answer by
Level 6
Level 6

Hi SauKaush,

 

Maven archetype is only required whenever you are creating the project from scratch. If you are migrating the AEM version from 6.3 to 6.5.5. In this case you need to upgrade the uber-jar, maven dependencies, Jdk-11 ,OSGI and 6.5 service package. You have to fix the all errors whatever you see in your code.

You can also create the new project setup with the maven archetype then you need to copy paste the code from old repo, but i think this is not recommended . Because there will be more efforts.

View solution in original post

2 Replies
asutosh_jena
Community Advisor
Community Advisor

Hi @saukaush 

By looking into the structure it will be really difficult for anyone to say which Maven Archetype was used to create the code repository. However if you want to make sure that you are using the latest Maven version for all the dependency, you can create a new AEM project using the Archetype 26 and reference to the POM files generated with your old code base to see exactly which version you need to update.

 

As you know the latest Maven Archetype(not only 26 others as well) has a different structure all togather i.e. it has now so may folder specific content such as ui.config, ui.frontend and so on. you will need to create a new project and migrate the code from old project to Latest Maven Archetype.

 

https://github.com/adobe/aem-project-archetype

 

Thanks!

kchaurasiya
Correct answer by
Level 6
Level 6

Hi SauKaush,

 

Maven archetype is only required whenever you are creating the project from scratch. If you are migrating the AEM version from 6.3 to 6.5.5. In this case you need to upgrade the uber-jar, maven dependencies, Jdk-11 ,OSGI and 6.5 service package. You have to fix the all errors whatever you see in your code.

You can also create the new project setup with the maven archetype then you need to copy paste the code from old repo, but i think this is not recommended . Because there will be more efforts.

View solution in original post